Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.pooled.interfaces
Class ServerAddress

    java.lang.Object
      org.jboss.invocation.pooled.interfaces.ServerAddress

All Implemented Interfaces:
  Serializable

public class ServerAddress
extends Object
implements Serializable

This class encapsulates all the required information for a client to establish a connection with the server. It also attempts to provide a fast hash() function since this object is used as a key in a hashmap mainted by the ConnectionManager.

Version:
  $Revision: 1.4 $
Author:
  Hiram Chirino
See Also:
  Serialized Form

Field Summary
`String` | `address` Address of host ot connect to
`boolean` | `enableTcpNoDelay` If the TcpNoDelay option should be used on the socket.
`int` | `port` Port the service is listening on
`int` | `timeout` Timeout of setSoTimeout

Constructor Summary
`ServerAddress(String address, int port, boolean enableTcpNoDelay, int timeout)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    public String address

  Address of host ot connect to

### port

    public int port

  Port the service is listening on

### enableTcpNoDelay

    public boolean enableTcpNoDelay

  If the TcpNoDelay option should be used on the socket.

### timeout

    public int timeout

  Timeout of setSoTimeout

Constructor Detail

### ServerAddress

    public ServerAddress(String address,
                         int port,
                         boolean enableTcpNoDelay,
                         int timeout)

Method Detail

### toString

    public String toString()

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.